{
  "name": "aimsfrontend",
  "version": "3.0.7",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "docs": "vue-docgen",
    "preview": "vite preview",
    "lint": "eslint --ext .ts,.vue --ignore-path .gitignore src",
    "lint:fix": "eslint --ext .ts,.vue --ignore-path .gitignore --fix src",
    "postinstall": "husky install",
    "test": "vitest",
    "test:unit": "vitest",
    "coverage": "vitest run --coverage"
  },
  "dependencies": {
    "@coscine/api-client": "^3.14.0",
    "@coscine/form-generator": "^4.0.4",
    "@popperjs/core": "^2.11.8",
    "@rdfjs-elements/formats-pretty": "^0.6.7",
    "@vocabulary/dbo": "^1.0.4",
    "@vocabulary/dc11": "^1.0.4",
    "@vocabulary/dcat": "^1.0.4",
    "@vocabulary/dcterms": "^1.0.4",
    "@vocabulary/foaf": "^1.0.4",
    "@vocabulary/m4i": "^1.1.3",
    "@vocabulary/schema": "^1.0.4",
    "@vueuse/core": "^10.10.0",
    "@zazuko/prefixes": "^2.2.0",
    "axios": "^1.7.2",
    "bootstrap": "^5.3.3",
    "bootstrap-vue-next": "^0.21.2",
    "buffer": "^6.0.3",
    "d3": "^7.9.0",
    "dagre": "^0.8.5",
    "file-saver": "^2.0.5",
    "graphy": "^4.3.7",
    "http-status-codes": "2.2.0",
    "lodash.truncate": "^4.4.2",
    "pinia": "^2.1.7",
    "rdf-ext": "^2.5.2",
    "rdf-parse": "^3.0.0",
    "rdf-validate-shacl": "^0.5.5",
    "sass": "^1.77.6",
    "stream-to-string": "^1.2.1",
    "string_decoder": "^1.3.0",
    "uuid": "^9.0.1",
    "vue": "^3.4.27",
    "vue-i18n": "^9.13.1",
    "vue-router": "^4.3.2",
    "vue-select": "^4.0.0-beta.6"
  },
  "devDependencies": {
    "@iconify-json/bi": "^1.1.23",
    "@pinia/testing": "^0.1.3",
    "@rdfjs/types": "^1.1.0",
    "@semantic-release/commit-analyzer": "^10.0.4",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^12.1.1",
    "@semantic-release/npm": "^10.0.6",
    "@semantic-release/release-notes-generator": "^11.0.7",
    "@types/file-saver": "^2.0.7",
    "@types/lodash.truncate": "^4.4.9",
    "@types/rdf-ext": "^2.5.0",
    "@types/rdf-validate-shacl": "^0.4.7",
    "@types/uuid": "^9.0.8",
    "@typescript-eslint/eslint-plugin": "^7.12.0",
    "@typescript-eslint/parser": "^7.12.0",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vitest/coverage-v8": "^1.6.0",
    "@vue/compiler-dom": "^3.4.27",
    "@vue/compiler-sfc": "^3.4.27",
    "@vue/eslint-config-prettier": "^8.0.0",
    "@vue/eslint-config-typescript": "^12.0.0",
    "@vue/server-renderer": "^3.4.27",
    "@vue/shared": "^3.4.27",
    "@vue/test-utils": "^2.4.6",
    "@zazuko/vocabularies": "^2.0.3",
    "autoprefixer": "^10.4.19",
    "conventional-changelog-eslint": "^4.0.0",
    "eslint": "^8.54.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-prettier": "^5.1.3",
    "eslint-plugin-unicorn": "^49.0.0",
    "eslint-plugin-vue": "^9.26.0",
    "happy-dom": "^14.12.0",
    "husky": "^8.0.3",
    "lint-staged": "^15.2.5",
    "postcss": "^8.4.38",
    "prettier": "^3.3.1",
    "semantic-release": "^21.1.2",
    "tailwindcss": "^3.4.3",
    "tslib": "^2.6.3",
    "typescript": "^5.4.5",
    "unplugin-auto-import": "^0.17.6",
    "unplugin-icons": "^0.17.4",
    "unplugin-vue-components": "^0.26.0",
    "vite": "^5.2.12",
    "vite-plugin-node-polyfills": "^0.9.0",
    "vitest": "^1.6.0",
    "vue-docgen-cli": "^4.79.0"
  },
  "repository": {
    "type": "git",
    "url": "https://git.rwth-aachen.de/coscine/frontend/apps/aimsfrontend.git"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue,ts,tsx}": [
      "eslint --ext .ts,.vue --ignore-path .gitignore --fix src",
      "git add"
    ]
  },
  "license": "MIT",
  "packageManager": "yarn@4.5.1"
}
